Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.process
Interface BaseExecSpec

All Superinterfaces:
  ProcessForkOptions

All Known Subinterfaces:
  ExecSpec, JavaExecSpec

All Known Implementing Classes:
  Exec, JavaExec

    public interface BaseExecSpec

extends ProcessForkOptions

Specifies options for launching a child process.

Method Summary
`List<String>` | `getCommandLine()` Returns the command plus its arguments.
`InputStream` | `getStandardInput()` Returns the standard input stream for the process executing the command.
`boolean` | `isIgnoreExitValue()` Returns whether an exit value different from zero should be ignored.
`BaseExecSpec` | `setErrorOutput(OutputStream outputStream)` Sets the error output stream for the process executing the command.
`BaseExecSpec` | `setIgnoreExitValue(boolean ignoreExitValue)` Sets whether an exit value different from zero should be ignored.
`BaseExecSpec` | `setStandardInput(InputStream inputStream)` Sets the standard input stream for the process executing the command.
`BaseExecSpec` | `setStandardOutput(OutputStream outputStream)` Sets the standard output stream for the process executing the command.

Methods inherited from interface org.gradle.process.ProcessForkOptions
`copyTo, environment, environment, executable, getEnvironment, getExecutable, getWorkingDir, setEnvironment, setExecutable, setWorkingDir, workingDir`

Method Detail

### setIgnoreExitValue

    BaseExecSpec setIgnoreExitValue(boolean ignoreExitValue)

  Sets whether an exit value different from zero should be ignored. In case it is not ignored, an exception is thrown in case of such an exit value.

  Parameters:
    `ignoreExitValue` - whether to ignore the exit value or not
  Returns:
    this

### isIgnoreExitValue

    boolean isIgnoreExitValue()

  Returns whether an exit value different from zero should be ignored. In case it is not ignored, an exception is thrown in case of such an exit value. Defaults to `false`.

### setStandardInput

    BaseExecSpec setStandardInput(InputStream inputStream)

  Sets the standard input stream for the process executing the command. The stream is closed after the process completes.

  Parameters:
    `inputStream` - The standard input stream for the command process.
  Returns:
    this

### getStandardInput

    InputStream getStandardInput()

  Returns the standard input stream for the process executing the command.

### setStandardOutput

    BaseExecSpec setStandardOutput(OutputStream outputStream)

  Sets the standard output stream for the process executing the command. The stream is closed after the process completes.

  Parameters:
    `outputStream` - The standard output stream for the command process.
  Returns:
    this

### setErrorOutput

    BaseExecSpec setErrorOutput(OutputStream outputStream)

  Sets the error output stream for the process executing the command. The stream is closed after the process completes.

  Parameters:
    `outputStream` - The standard output error stream for the command process.
  Returns:
    this

### getCommandLine

    List<String> getCommandLine()

  Returns the command plus its arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD